View Issue Details

IDProjectCategoryView StatusLast Update
0006493Talermerchant backend API (C)public2020-08-25 11:15
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityurgentSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006493: wallet test case 'test-merchant-longpolling' triggers merchant 500 (and sometimes a crash without response)
Description./testruner test-merchant-longpolling

Sometimes the first long poll (500ms) before contract claiming crashes the merchant.

If that works, the second long poll (5000ms) after contract claiming returns an HTTP 500 status code.
TagsNo tags attached.

Activities

Florian Dold

2020-08-24 17:04

manager   ~0016751

(Somehow this got auto-assigned to MS, who is focusing on other things than the merchant backend).

Christian Grothoff

2020-08-25 11:15

manager   ~0016761

Test now passes, valgrind is happy.

Issue History

Date Modified Username Field Change
2020-08-19 14:55 Florian Dold New Issue
2020-08-19 14:55 Florian Dold Status new => assigned
2020-08-19 14:55 Florian Dold Assigned To => Marcello Stanisci
2020-08-24 17:04 Florian Dold Assigned To Marcello Stanisci => Christian Grothoff
2020-08-24 17:04 Florian Dold Note Added: 0016751
2020-08-24 22:36 Christian Grothoff Priority normal => urgent
2020-08-24 22:36 Christian Grothoff Product Version => git (master)
2020-08-24 22:36 Christian Grothoff Target Version => 0.8
2020-08-25 11:15 Christian Grothoff Status assigned => resolved
2020-08-25 11:15 Christian Grothoff Resolution open => fixed
2020-08-25 11:15 Christian Grothoff Fixed in Version => 0.8
2020-08-25 11:15 Christian Grothoff Note Added: 0016761